!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the list of files
response = client.files.list(limit=10)
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the list of files
const response = await client.files.list({ limit: 10 });
console.log(response);
[
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
List Files
Get all files uploaded by the user with pagination.
GET
/
v1
/
files
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the list of files
response = client.files.list(limit=10)
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the list of files
const response = await client.files.list({ limit: 10 });
console.log(response);
[
{
"filename": "<string>",
"bytes": 123,
"purpose": "assistants",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "file",
"public_url": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get the list of files
response = client.files.list(limit=10)
import { VlmRun } from "vlmrun";
const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
// Get the list of files
const response = await client.files.list({ limit: 10 });
console.log(response);
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items to skip
Required range:
x >= 0Maximum number of items to return
Required range:
1 <= x <= 1000Response
Successful Response
Name of the file
Size of the file in bytes
Purpose of the file
Available options:
assistants, batch, fine-tune, vision, datasets Unique identifier of the file
Date and time when the file was created (in UTC timezone)
Type of the file
Allowed value:
"file"Presigned URL of the file